function x = clip(x, x_min, x_max)
% x = clip(x, x_min, x_max)
% 
% This function clips all elements in x to be in the range [x_min x_max].
%
% Copyright (C) 2010 Shujun Li @ www.hooklee.com

if ~exist('x_min','var')
    x_min = 0;
end
if ~exist('x_max','var')
    x_max = 255;
end

x(x<x_min) = x_min;
x(x>x_max) = x_max;
